<?php
$title = 'Оплата WapKassa';
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
require ($_SERVER['DOCUMENT_ROOT'].'/core/head.php');
echo '<div class="top">'.$title.'</div>';
$id = abs(intval($_SESSION['payment']));
$pay = $db->prepare('SELECT * FROM `pay` WHERE `id` = ?');
$pay -> execute([$id]);
$pay = $pay -> fetch(PDO :: FETCH_ASSOC);
if(!isset($pay['id'])){
echo '<div id="error" class="message" style="text-align:center;"><b> Для дальнейшей работы вам стоит пройти авторизацию в данном сервисе, если хотите оплатить с личного счета.. </b></div>';
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
exit;
}
if($pay['status'] == 'yes'){
echo '<div id="error" class="message" style="text-align:center;"><b> Данный счет уже был оплачен... </b></div>';
require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
exit;
}
if($pay['type'] == 0){
header('Location: /');
exit;
}
$client = $db->prepare('SELECT * FROM `platform` WHERE `id` = ?');
$client -> execute([$pay['platform']]);
$client = $client -> fetch(PDO :: FETCH_ASSOC);

$hash = md5($client['key']);
if($hash != $pay['hash']){
header('Location: '.$client['error']);
exit;
}
if($pay['check'] != md5($summa.$pay['platform'].
$time)){
header('Location: '.$client['error']); 
exit;
} 

if($pay['status'] == 'yes'){
exit(header('location :'.$client['url']));
}
if (!empty($_POST['pay'])) {
$id_shop='6542';//ID площадки на WorldKassa
$hash='Uuv5gcpJMVwb6oCj';//Секретный ключ (HASH)
$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.($pay['summa']+$pay['summa']*0.05).'&hash='.$hash);
if (is_numeric($data)){
$update = $db->prepare("UPDATE `pay` SET `key` = ? WHERE `id` = ?");
$update -> execute([$data,$id]);
header("Location: http://worldkassa.ru/user/oplata.php?uniq=".$data);
exit();
}else{
echo '<div id="error" class="message" style="text-align:center;"><b> '.$data.'</b></div>';
}
			
}else{
echo '<div id="error" class="message" style="text-align:center;"><b> Произошла ошибка ... Попробуйте еще раз повторить данное действие </b></div>';
}

require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');
?>